Bug 768800 - Review Request: libwacom - Tablet Information Client Library
Summary: Review Request: libwacom - Tablet Information Client Library
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-12-19 01:27 UTC by Peter Hutterer
Modified: 2012-01-11 06:10 UTC (History)
4 users (show)

Fixed In Version: libwacom-0.1-1.fc16
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-12-23 07:58:17 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mclasen: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Peter Hutterer 2011-12-19 01:27:50 UTC
Spec URL: http://people.freedesktop.org/~whot/libwacom/libwacom.spec
SRPM URL: http://people.freedesktop.org/~whot/libwacom/libwacom-0.1-1.fc16.src.rpm
Description: 
libwacom is a library that provides information about Wacom tablets and
tools. This information can then be used by drivers or applications to tweak
the UI or general settings to match the physical tablet.

Comment 1 Matthias Clasen 2011-12-21 15:39:34 UTC
builds fine in mock, rpmlint says:

$ rpmlint /var/lib/mock/fedora-rawhide-x86_64/result/*.rpm
5 packages and 0 specfiles checked; 0 errors, 0 warnings.

Comment 2 Matthias Clasen 2011-12-21 15:51:43 UTC
package name: ok
spec file name: ok
packaging guidelines: generally, ok. some minor cleanups possible:
 - BuildRoot: is no longer needed
 - rm -rf %{buildroot} in %install no longer needed
 - %clean no longer needed
 fine to leave these things in place if you want to minimize spec file changes
 for building on e.g. RHEL
license: ok
license: field ok
license file: ok
spec language: ok
spec readable: ok
upstream sources: ok
buildable: ok
ExcludeArch: ok
BuildRequires: ok
locale handling: ok
ldconfig: ok
system libs: ok
relocatable: ok
directory ownership: looks like you need to own
 %{_datadir}/libwacom
 %{_includedir}/libwacom-1.0
 %{_includedir}/libwacom-1.0/libwacom
duplicate files: ok
file permissions: ok
macro use: ok
content: ok
large docs: ok
%doc content: ok
headers: ok
static libs: ok
shared libs: ok
devel dep: ok
libtool archives: ok
gui apps: ok
file ownership: ok
utf8 filenames: ok

Summary: fix directory ownership, then it is good to go

Comment 3 Peter Hutterer 2011-12-22 02:46:24 UTC
(In reply to comment #2)
> packaging guidelines: generally, ok. some minor cleanups possible:
>  - BuildRoot: is no longer needed
>  - rm -rf %{buildroot} in %install no longer needed
>  - %clean no longer needed

all three removed

> directory ownership: looks like you need to own
>  %{_datadir}/libwacom
>  %{_includedir}/libwacom-1.0
>  %{_includedir}/libwacom-1.0/libwacom

added to the devel/data packages as required.
update spec/srpm available at URL above

Comment 4 Matthias Clasen 2011-12-22 03:47:11 UTC
Looks all good now. Approved

Comment 5 Peter Hutterer 2011-12-22 03:54:15 UTC
New Package SCM Request
=======================
Package Name: libwacom
Short Description: Tablet Information Client Library
Owners: whot hadess
Branches: f16
InitialCC:

Comment 6 Gwyn Ciesla 2011-12-22 13:23:02 UTC
Git done (by process-git-requests).

Matthias, please take ownership of review BZs.  Thanks!

Comment 7 Fedora Update System 2011-12-23 07:45:59 UTC
libwacom-0.1-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/libwacom-0.1-1.fc16

Comment 8 Fedora Update System 2012-01-11 06:10:19 UTC
libwacom-0.1-1.fc16 has been pushed to the Fedora 16 stable repository.


Note You need to log in before you can comment on or make changes to this bug.